Subject: Re: postgresql question
From: Jason Tishler <[email-masked]>
To: Ralf Habacker <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 08 Nov 2002 22:30:25 -0500

Ralf,

On Sat, Nov 09, 2002 at 03:21:45AM +0100, Ralf Habacker wrote:
> > So far I have found the following issues with Cygwin ProFTPD 1.2.6:
> > [snip]
> I'm used the recent cvs release

Ah.  I will give ProFTPD CVS (with your patch) a spin.

> > BTW, all tests succeed for me:
> >
> >     test init                 ... ok
> >     [snip]
>
> Im using binary mounts

Me too.  Sorry, I don't know why the regression test fails for you.

> > > > BTW, I'm still looking for a cygipc beta tester:
> > > >
> > > >     http://cygwin.com/ml/cygwin/2002-11/msg00136.html
> > >
> > > Have I only update the ipc-daemon or have I to rebuild all the
> > > client applications ?
> > >
> > > The patches let me assume that this affect only the daemon.
> >
> > No, the patch actually affects the library, libcygipc.a.
> > Unfortunately, you will have to build all (or at least some) of the
> > client applications.
> 
> Jason, I have inspect the kde (kdelibs/kdebase) sources about this
> issue and found, that any code which uses shmget (semget is never
> used) handles return code correctly (-1 = error code) so that adding
> the ENOSYS return code does not affect kde.
> 
> [snip very detailed, very useful source code analysis]
>
> So from my view there are no reason, why this patch does be go into
> the offical cygipc release.

Thank you *very* much for the above.

> Jason, I haven't recompiled kde with this release, because this job
> isn't possible for me at this moment. A whole recompile of kde and
> testing is a job of several days and I will do that, when the next kde
> release is going to be released.

No problem.

> BTW: I haven't recongized you patch before. So please sorry if this
> have delayed your release planing of the postgresql port.

Ditto.

> You have done a great job.

Thanks,
Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/